
const BotExchangeBranch = require("./BotExchangeBranch");
const PromptSequence = require("./PromptSequence");
const IntentInfo = require("./IntentInfo");
const PromptBehaviors = require("./PromptBehaviors");
const BotErrorDetails = require("./BotErrorDetails");

var debug = require('debug')('javascriptechoproxy:server');

module.exports = class CustomExchangeResponse_V1 {
  branchName = BotExchangeBranch.AUTOMATED_TEXT;
  nextPromptSequence = new PromptSequence();
  intentInfo = new IntentInfo();
  nextPromptBehaviours = new PromptBehaviors();
  errorDetails = new BotErrorDetails();
  customPayload = {};
  botSessionState = {};
}